Bug 236882 - print dialog crashes
print dialog crashes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On: 225149
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-18 04:53 EDT by Stefan Becker
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.10.12-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-15 01:02:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Becker 2007-04-18 04:53:49 EDT
+++ This bug was initially created as a clone of Bug #225149 +++

[ This seems to be a different problem! ]

Description of problem:
Since the update to gtk2-2.10.8-1.fc6 the print dialog crashes evince and
openoffice. Printing is configured to use a remote CUPS print server with 200+
printers.

Version-Release number of selected component (if applicable):
evince-0.6.0-6.fc6
gtk2-2.10.8-3.fc6
openoffice.org-core-2.0.4-5.5.21
cups-1.2.10-3.fc6

How reproducible:
Always

Steps to Reproduce:
1. open evince (for instance)
2. load a document
3. open print dialog with CTRL-P or menu

Actual results:
evince crashes

Expected results:
Allow the user to choose the printer

Additional info:

$ gdb evince
GNU gdb Red Hat Linux (6.5-15.fc6rh)
...
(gdb) r
Starting program: /usr/bin/evince
[Thread debugging using libthread_db enabled]
[New Thread -1208911184 (LWP 3470)]
[New Thread -1211012208 (LWP 3473)]

Program received signal SIGPIPE, Broken pipe.
[Switching to Thread -1208911184 (LWP 3470)]
0x00247402 in __kernel_vsyscall ()

(gdb) thread apply all bt

Thread 2 (Thread -1211012208 (LWP 3473)):
#0  0x00247402 in __kernel_vsyscall ()
#1  0x4bd491a6 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x0805a6b3 in ev_render_thread (data=0x0) at ev-job-queue.c:179
#3  0x48f2729f in g_thread_create_full () from /lib/libglib-2.0.so.0
#4  0x4bd453db in start_thread (arg=0xb7d16b90) at pthread_create.c:296
#5  0x4bc9f26e in clone () from /lib/libc.so.6

Thread 1 (Thread -1208911184 (LWP 3470)):
#0  0x00247402 in __kernel_vsyscall ()
#1  0x4bd4c208 in send () from /lib/libpthread.so.0
#2  0x001f472b in http_write (http=0x8f27080, buffer=0x8f29848 "\001\001",
    length=279) at http.c:2944
#3  0x001f4899 in httpFlushWrite (http=0x8f27080) at http.c:558
#4  0x001f4a48 in httpWrite2 (http=0x8f27080, buffer=0xbfacaef8 "\003",
    length=1) at http.c:2065
#5  0x001fcf37 in ippWriteIO (dst=0x8f27080, cb=0x1f48e0 <httpWrite2>,
    blocking=0, parent=0x0, ipp=0x8f26dc8) at ipp.c:2387
#6  0x001fd041 in ippWrite (http=0x215de4, ipp=0xbfacadd0) at ipp.c:1601
#7  0x00448d56 in _post_write_request (request=0x8f26df8) at gtkcupsutils.c:669
#8  0x0044852f in gtk_cups_request_read_write (request=0x8f26df8)
    at gtkcupsutils.c:212
---Type <return> to continue, or q <return> to quit---
#9  0x0044422e in cups_dispatch_watch_check (source=0x8f2a0d0)
    at gtkprintbackendcups.c:527
#10 0x48f0be62 in g_main_context_check () from /lib/libglib-2.0.so.0
#11 0x48f0c1fe in g_main_context_check () from /lib/libglib-2.0.so.0
#12 0x48f0c7c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#13 0x0092f554 in IA__gtk_main () at gtkmain.c:1148
#14 0x0807a6c0 in main (argc=1, argv=0x8f29848) at main.c:345
#15 0x4bbe7f2c in __libc_start_main (main=0x807a150 <main>, argc=1,
    ubp_av=0xbfad31f4, init=0x809aa20 <__libc_csu_init>,
    fini=0x809aa10 <__libc_csu_fini>, rtld_fini=0x4bbc3390 <_dl_fini>,
    stack_end=0xbfad31ec) at libc-start.c:231
#16 0x080574f1 in _start ()

(gdb) list
278
279             gdk_notify_startup_complete ();
280
281             return result;
282     }
283     #endif /* ENABLE_DBUS */
284
285     int
286     main (int argc, char *argv[])
287     {
Comment 1 Stefan Becker 2007-06-15 01:02:10 EDT
Retested with latest gtk2-2.10.12-1.fc6 

Note You need to log in before you can comment on or make changes to this bug.